
# 
#  Configures attributes from databags
#

cluster_id  = "default"

cls = data_bag_item( "mysql_clusters", "default" )

nd = (cls["mysql_nodes"] || []).select { |n| n["id"] == node.hostname }[0]

if nd then 

# lift node properties from ring to chef node.
merged = (cls.to_hash).merge({ 
  "mysql_private_ip"        => nd["mysql_private_ip"],
  "mysql_data_file_directories"           => nd["mysql_data_file_directories"],
})

else
merged = {}
end

node.override[ "mysql" ] = node.mysql.deep_merge(merged)

