local json = require("cjson")
require "lua_cassandra"

local cassandraIP = os.getenv("CASSANDRA_IP")
local cassandraPort = tonumber(os.getenv("CASSANDRA_PORT"))
print ( lua_cassandra.seed(cassandraIP, cassandraPort))
local AgentKS = lua_cassandra:CassandraConnection("Agent")

local row_block_size =  1000
local startkey = ""
local cantHotfixes = 0
local ranges = AgentKS:GetRangeSlices("Hotfixes", "", startkey, "", {
        column_names = {}, slice_range = {
                                                                                start =  "",
                                                                                finish =  "",
                                                                                reversed =  false,
                                                                                count =  5000
                                                                        }
                                                        },
                                                5000 --total keys
                                                );
local any = false
for id, columns in ranges:Iterator() do
        print ("HotfixID: " .. id)
        for _, column in pairs(columns) do
                print("Name: " .. column.name .. " -- Value: " .. column.value )
        end
end
