#!/bin/bash
echo "*****************************************************************************************************************************************"
echo "                                                         Config File $1.conf"
echo "*****************************************************************************************************************************************"

dependences_length=$(jq '.dependences | length' /$1.conf)

echo "========================================================================================================================================="
echo "                                                        Extract dependencies          "
echo "========================================================================================================================================="

for (( c=0; c<=$dependences_length - 1; c++ ))
do
   dependence=$(jq .dependences[$c] /$1.conf)
   d=$(echo $dependence  | tr -d '"')
   echo  "find " $d
   /bin/bash /validateInconcertDependency.sh $d $2
done
